Bug 259181 - www/bozohttpd: Mark BROKEN on i386
Summary: www/bozohttpd: Mark BROKEN on i386
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Daniel Engberg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-15 07:00 UTC by Daniel Engberg
Modified: 2021-11-03 21:57 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (jmohacsi)


Attachments
Patch for bozohttpd (417 bytes, patch)
2021-10-15 07:00 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2021-10-15 07:00:30 UTC
Created attachment 228712 [details]
Patch for bozohttpd

Reference: https://portsfallout.com/fallout?port=www%2Fbozohttpd%24&page=1
Comment 1 Fernando Apesteguía freebsd_committer 2021-10-20 11:10:48 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 2 commit-hook freebsd_committer 2021-11-03 21:54:52 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=54fe8b0530759acba7f7a89b8709bbce7a6445d2

commit 54fe8b0530759acba7f7a89b8709bbce7a6445d2
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2021-11-03 21:42:15 +0000
Commit:     Daniel Engberg <diizzy@FreeBSD.org>
CommitDate: 2021-11-03 21:53:43 +0000

    www/bozohttpd: Mark BROKEN on i386

    Failed to compile with the following error:
    "comparison of integers of different signs: 'unsigned int' and
    'time_t' (aka 'int') [-Werror,-Wsign-compare]"

    Reference: https://portsfallout.com/fallout?port=www%2Fbozohttpd%24&page=1

    PR:             259181
    Reported by:    pkg-fallout
    Approved by:    port maintainer timeout (2+ weeks), arrowd (mentor)
    Differential Revision:  https://reviews.freebsd.org/D32770

 www/bozohttpd/Makefile | 2 ++
 1 file changed, 2 insertions(+)
Comment 3 Daniel Engberg freebsd_committer 2021-11-03 21:57:01 UTC
Committed